View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17870Bug reportsExpression Managerpublic2022-09-19 11:38
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.25.20 
Summary17870: Default value with line feed broke Expression Script
Description

If you set default value in line feed (for multiple numéric for test) : it broke javascript ExprMgr_process_relevance_and_tailoring function

Steps To Reproduce

Steps to reproduce

Import included survey
Lauch
Next next, see the cirrent sum : seems OK
Update value : sum are not updated
Check console : js broken

Expected result

Sum updated, no js issue

Actual result

Sum not updated, js issue

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.27.34 and 5.2.12
I will donate to the project if issue is resolvedNo
Browserfirefox
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-02-04 19:18

developer  

limesurvey_survey_MultinNumDefaultBroke.lss (32,081 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>366</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <defaultvalues>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>sqid</fieldname>
   <fieldname>language</fieldname>
   <fieldname>specialtype</fieldname>
   <fieldname>defaultvalue</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[7171]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7172]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{sum(
PutValue_SQ001.NAOK,
PutValue_SQ002.NAOK,
PutValue_SQ003.NAOK,
PutValue_SQ004.NAOK,
PutValue_SQ005.NAOK,
0)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7171]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7173]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{sum(
PutValue_SQ006.NAOK,
PutValue_SQ007.NAOK,
PutValue_SQ008.NAOK,
PutValue_SQ009.NAOK,
PutValue_SQ010.NAOK,
0)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7161]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7162]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7163]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7164]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7165]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7166]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7167]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7168]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7169]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[7159]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[7170]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
  </rows>
 </defaultvalues>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[525]]></gid>
    <sid><![CDATA[544751]]></sid>
    <group_name><![CDATA[The max]]></group_name>
    <group_order><![CDATA[0]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[526]]></gid>
    <sid><![CDATA[544751]]></sid>
    <group_name><![CDATA[Check]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[7159]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[PutValue]]></title>
    <question><![CDATA[Put some value]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7171]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[526]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[Check]]></title>
    <question><![CDATA[Expression issue with value with line feed ?]]></question>
    <preg/>
    <help><![CDATA[current sum : {sum(self.NAOK)}]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[7161]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[1]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7162]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[2]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7163]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <question><![CDATA[3]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7164]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <question><![CDATA[4]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7165]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <question><![CDATA[5]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7166]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ006]]></title>
    <question><![CDATA[6]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7167]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ007]]></title>
    <question><![CDATA[7]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7168]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ008]]></title>
    <question><![CDATA[8]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7169]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ009]]></title>
    <question><![CDATA[9]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[9]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7170]]></qid>
    <parent_qid><![CDATA[7159]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[525]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ010]]></title>
    <question><![CDATA[10]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[10]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[7172]]></qid>
    <parent_qid><![CDATA[7171]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[526]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[SQ001]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[7173]]></qid>
    <parent_qid><![CDATA[7171]]></parent_qid>
    <sid><![CDATA[544751]]></sid>
    <gid><![CDATA[526]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[SQ002]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </subquestions>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[544751]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@shnoulle.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[skelvanilla]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@shnoulle.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[544751]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[test multi with default]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire.<br />
<br />
Celui-ci est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour remplir ce questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br />
<br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br />
<br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br />
<br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br />
<br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br />
<br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br />
<br />
Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br />
<br />
<br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>544751</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>544751</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
DenisChenu

DenisChenu

2022-02-04 19:18

developer   ~68213

Tested on 2.06lts : same issue .
Really old issue …

DenisChenu

DenisChenu

2022-09-15 19:52

developer   ~71778

3LTS : https://github.com/LimeSurvey/LimeSurvey/pull/2604
master https://github.com/LimeSurvey/LimeSurvey/pull/2604

DenisChenu

DenisChenu

2022-09-15 19:53

developer   ~71779

Anothre test survey : with an Y/N to show or hide the multinum question

limesurvey_survey_MandatorySoftBrokeMandatoryAndCondition.lss (29,401 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>366</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <defaultvalues>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>sqid</fieldname>
   <fieldname>language</fieldname>
   <fieldname>specialtype</fieldname>
   <fieldname>defaultvalue</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17421]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17432]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{sum(
PutValue_SQ001.NAOK,
PutValue_SQ002.NAOK,
PutValue_SQ003.NAOK,
PutValue_SQ004.NAOK,
PutValue_SQ005.NAOK,
0)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17421]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17433]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{sum(
PutValue_SQ006.NAOK,
PutValue_SQ007.NAOK,
PutValue_SQ008.NAOK,
PutValue_SQ009.NAOK,
PutValue_SQ010.NAOK,
0)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17422]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17423]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17424]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17425]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17426]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17427]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17428]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17429]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17430]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17420]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[17431]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,100)}]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17434]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[N]]></defaultvalue>
   </row>
   <row>
    <qid><![CDATA[17435]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <language><![CDATA[fr]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[Coloe < ' Ta ]]></defaultvalue>
   </row>
  </rows>
 </defaultvalues>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[944]]></gid>
    <sid><![CDATA[444278]]></sid>
    <group_name><![CDATA[The max]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[945]]></gid>
    <sid><![CDATA[444278]]></sid>
    <group_name><![CDATA[Check]]></group_name>
    <group_order><![CDATA[2]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17420]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[PutValue]]></title>
    <question><![CDATA[Put some value]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance/>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17421]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[945]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[Check]]></title>
    <question><![CDATA[Expression issue with value with line feed ?]]></question>
    <preg/>
    <help><![CDATA[current sum : {sum(self.NAOK)}]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[HideShow== "Y"]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17434]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[945]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[HideShow]]></title>
    <question/>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance/>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17435]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[945]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[Text]]></title>
    <question><![CDATA[A text with default]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17422]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[1]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17423]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[2]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17424]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <question><![CDATA[3]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17425]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <question><![CDATA[4]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17426]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <question><![CDATA[5]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17427]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ006]]></title>
    <question><![CDATA[6]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17428]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ007]]></title>
    <question><![CDATA[7]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17429]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ008]]></title>
    <question><![CDATA[8]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[9]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17430]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ009]]></title>
    <question><![CDATA[9]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[10]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17431]]></qid>
    <parent_qid><![CDATA[17420]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[944]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ010]]></title>
    <question><![CDATA[10]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[11]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17432]]></qid>
    <parent_qid><![CDATA[17421]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[945]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[SQ001]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[17433]]></qid>
    <parent_qid><![CDATA[17421]]></parent_qid>
    <sid><![CDATA[444278]]></sid>
    <gid><![CDATA[945]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[SQ002]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </subquestions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17435]]></qid>
    <attribute><![CDATA[uniqueIdType]]></attribute>
    <value><![CDATA[random]]></value>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[444278]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@shnoulle.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[skelvanilla]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@shnoulle.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[444278]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[test multi with default]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire.<br />
<br />
Celui-ci est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour remplir ce questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br />
<br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br />
<br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br />
<br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br />
<br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br />
<br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br />
<br />
Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br />
<br />
<br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>444278</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>444278</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogoalt>&quot;&quot;</brandlogoalt>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <mandatoryposition>astip</mandatoryposition>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <dangercolor>on</dangercolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
     <descriptiondisplay>welcome</descriptiondisplay>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
DenisChenu

DenisChenu

2022-09-16 12:43

developer   ~71786

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33882

DenisChenu

DenisChenu

2022-09-16 14:35

developer   ~71789

Oups
3LTS : https://github.com/LimeSurvey/LimeSurvey/pull/2605

LimeBot

LimeBot

2022-09-19 11:02

administrator   ~71816

Fixed in Release 5.4.1+220919

DenisChenu

DenisChenu

2022-09-19 11:38

developer   ~71821

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33891

Related Changesets

LimeSurvey: master 83f3e899

2022-09-15 19:50:57

DenisChenu

Details Diff
Fixed issue 17870: Default value with line feed broke Expression Script
Dev: json_encode since it a JS var
Affected Issues
17870
mod - application/helpers/expressions/em_manager_helper.php Diff File

LimeSurvey: master 9510ce95

2022-09-16 12:43:47

K Foster


Committer: GitHub Details Diff
Merge pull request #2604 from Shnoulle/bug/17870_defaultvalue

Fixed issue 17870: Default value with line feed broke Expression Script
Affected Issues
17870
mod - application/helpers/expressions/em_manager_helper.php Diff File

LimeSurvey: 3.x-LTS c26948d6

2022-09-19 11:23:31

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17870: Default value with line feed broke Expression Script Affected Issues
17870
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2022-02-04 19:18 DenisChenu New Issue
2022-02-04 19:18 DenisChenu File Added: limesurvey_survey_MultinNumDefaultBroke.lss
2022-02-04 19:18 DenisChenu File Added: Capture d’écran du 2022-02-04 19-13-53.png
2022-02-04 19:18 DenisChenu Note Added: 68213
2022-02-04 19:18 DenisChenu Bug heat 0 => 2
2022-07-05 18:01 DenisChenu Assigned To => DenisChenu
2022-07-05 18:01 DenisChenu Status new => confirmed
2022-07-05 18:01 DenisChenu Priority none => normal
2022-09-15 19:52 DenisChenu Assigned To DenisChenu =>
2022-09-15 19:52 DenisChenu Status confirmed => ready for code review
2022-09-15 19:52 DenisChenu Note Added: 71778
2022-09-15 19:53 DenisChenu Note Added: 71779
2022-09-15 19:53 DenisChenu File Added: limesurvey_survey_MandatorySoftBrokeMandatoryAndCondition.lss
2022-09-16 09:23 DenisChenu Assigned To => gabrieljenik
2022-09-16 12:43 Changeset attached => LimeSurvey master 9510ce95
2022-09-16 12:43 DenisChenu Changeset attached => LimeSurvey master 83f3e899
2022-09-16 12:43 DenisChenu Note Added: 71786
2022-09-16 12:43 DenisChenu Assigned To gabrieljenik => DenisChenu
2022-09-16 12:43 DenisChenu Resolution open => fixed
2022-09-16 14:18 gabrieljenik Status ready for code review => ready for testing
2022-09-16 14:35 DenisChenu Note Added: 71789
2022-09-19 11:02 LimeBot Note Added: 71816
2022-09-19 11:02 LimeBot Status ready for testing => closed
2022-09-19 11:02 LimeBot Bug heat 2 => 4
2022-09-19 11:38 DenisChenu Changeset attached => LimeSurvey 3.x-LTS c26948d6
2022-09-19 11:38 DenisChenu Note Added: 71821